#! @BASH@
#
echo 1..4 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
HAS_THREADS=`${CDO} --config has-threads`
#
FORMAT="-f srv -b 32"
declare -a SHOW
declare -a STATS
WHAT_TO_SHOW=("showcode" "showname" "showunit" "showlevel")
STATS=("chcode,-1,101" "chname,topo,newname" "chunit,m,km" "chlevel,0,101")
EXPECTED_RESULTS=("101" "newname" "km" "101")
IFILE="-topo"
CDOCALL="$CDO -s $FORMAT"
#
for i in {0..3};
do
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        if [ "${HAS_THREADS}" = yes ] ; then
            CDOCOMMAND="$CDOCALL ${WHAT_TO_SHOW[$i]} -${STATS[$i]} $IFILE"

            RESULT=$($CDOCOMMAND | sed 's/ //g')
            if [ "$RESULT" == "${EXPECTED_RESULTS[$i]}" ]
            then
                echo "ok $NTEST - ${WHAT_TO_SHOW[$i]}"
            else
                echo "$CDOCOMMAND"
                echo "Expected ${EXPECTED_RESULTS[$i]} got $RESULT"
                echo "not ok $NTEST - ${SHOW[$i]}"
            fi
        else
            echo "ok $NTEST - ${SHOW[$i]} # SKIP POSIX threads not enabled"
        fi
    fi
done
